> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Save Auto-Translate Settings > Saves autotranslate settings for a room. ### Changelog | Version | Description | | ---------------- | ------------| |1.3.0 | Added | ## OpenAPI ````json POST /api/v1/autotranslate.saveSettings { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/autotranslate.saveSettings": { "post": { "tags": [ "Auto-Translate" ], "summary": "Save Auto-Translate Settings", "description": "Saves autotranslate settings for a room.\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|1.3.0 | Added |", "operationId": "post-api-v1-autotranslate.saveSettings", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The room's id to apply setting." }, "field": { "type": "string", "description": "The setting to apply to user's subscription." }, "value": { "type": "boolean", "description": "Boolean if the setting is autoTranslate and a string (the language) if the setting is autoTranslateLanguage." }, "defaultLanguage": { "type": "string", "description": "The default language." } }, "required": [ "roomId", "field", "value" ] }, "examples": { "Example": { "value": { "roomId": "7aDSXtjMA3KPLxLjt", "field": "autoTranslate", "value": true, "defaultLanguage": "en" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````